'use client';
import { useState } from 'react';
import { Button, Tooltip, TooltipTrigger } from 'react-aria-components';
export function OpenAPICopyButton(props) {
    var value = props.value;
    var children = props.children, onPress = props.onPress, className = props.className;
    var _a = useState(false), copied = _a[0], setCopied = _a[1];
    var _b = useState(false), isOpen = _b[0], setIsOpen = _b[1];
    var handleCopy = function () {
        if (!value)
            return;
        navigator.clipboard.writeText(value).then(function () {
            setIsOpen(true);
            setCopied(true);
            setTimeout(function () {
                setCopied(false);
            }, 2000);
        });
    };
    return (<TooltipTrigger isOpen={isOpen} onOpenChange={setIsOpen} closeDelay={200} delay={200}>
            <Button type="button" preventFocusOnPress onPress={function (e) {
            handleCopy();
            onPress === null || onPress === void 0 ? void 0 : onPress(e);
        }} className={"openapi-copy-button ".concat(className)} {...props}>
                {children}
            </Button>

            <Tooltip isOpen={isOpen} onOpenChange={setIsOpen} placement="top" offset={4} className="openapi-tooltip">
                {copied ? 'Copied' : 'Copy to clipboard'}{' '}
            </Tooltip>
        </TooltipTrigger>);
}
